<% html_title(t(:label_administration), t('captcha.label_captcha')) -%>

<%= breadcrumb_toolbar t('captcha.label_captcha') %>

<section class="admin--edit-section">
  <%= styled_form_tag({ action: :update },
                      method: :post,
                      id: 'update-recaptcha-settings-form') do %>
    <fieldset class="form--fieldset">
      <legend class="form--fieldset-legend"><%= t(:label_setting_plural) %></legend>
      <div class="form--field">
        <label class="form--label" for='captcha_type'><%= t('captcha.settings.type') %></label>
        <div class="form--field-container">
          <%= styled_select_tag 'captcha_type',
                                options_for_select(captcha_available_options, Setting.plugin_nepenthes_captcha['captcha_type']),
                                container_class: '-middle' %>
        </div>
        <div class="form--field-instructions">
          <%= I18n.t('captcha.settings.recaptcha_description_html',
                     hcaptcha_link: link_to('https://docs.hcaptcha.com/switch/', 'https://docs.hcaptcha.com/switch/', target: '_blank'),
                     recaptcha_link: link_to('https://www.google.com/recaptcha', 'https://www.google.com/recaptcha', target: '_blank'),
                     turnstile_link: link_to('https://developers.cloudflare.com/turnstile/', 'https://developers.cloudflare.com/turnstile/', target: '_blank')).html_safe %>
        </div>
      </div>
      <div class="form--field">
        <label class="form--label" for='website_key'><%= t('captcha.settings.website_key') %></label>
        <div class="form--field-container">
          <%= styled_text_field_tag 'website_key',
                                    Setting.plugin_nepenthes_captcha['website_key'] %>
        </div>
        <div class="form--field-instructions">
          <%= I18n.t('captcha.settings.website_key_text') %>
        </div>
      </div>
      <div class="form--field">
        <label class="form--label" for='secret_key'><%= t('captcha.settings.secret_key') %></label>
        <div class="form--field-container">
          <%= styled_text_field_tag 'secret_key',
                                    Setting.plugin_nepenthes_captcha['secret_key'] %>
        </div>
        <div class="form--field-instructions">
          <%= I18n.t('captcha.settings.secret_key_text') %>
        </div>
      </div>
      <div class="form--field">
        <label class="form--label" for='secret_key'><%= t('captcha.settings.response_limit') %></label>
        <div class="form--field-container">
          <%= styled_text_field_tag 'response_limit',
                                    Setting.plugin_nepenthes_captcha['response_limit'] %>
        </div>
        <div class="form--field-instructions">
          <%= I18n.t('captcha.settings.response_limit_text') %>
        </div>
      </div>
    </fieldset>
    <%= styled_submit_tag t(:button_apply), class: '-primary' %>
  <% end %>
</section>
